Bug 131730 - 350 sat cannot upload mdm packages (md5 mismatch)
350 sat cannot upload mdm packages (md5 mismatch)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn350
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Max Spevack
:
Depends On:
Blocks: 114967
  Show dependency treegraph
 
Reported: 2004-09-03 13:57 EDT by Max Spevack
Modified: 2007-04-18 13:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-07 16:03:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Max Spevack 2004-09-03 13:57:13 EDT
Description of problem:

When trying to upload mdm packages to test RHN satellite with solaris
up2date clients, the packages fail to upload into the channel that I
created.

The log file reports:
[root@vmware1 rhn]# tail -f rhn_upload_package_push.log 
<snip>
2004/09/03 13:19:38 1685 192.168.36.151:
server/apacheUploadServer.handler('GET method received, returning',)
2004/09/03 13:19:43 1691 192.168.36.151:
rhnSQL/int_oracle.connect('Connecting to database', 'rhnsat')
2004/09/03 13:19:44 1691 192.168.36.151:
package_push/package_push.headerParserHandler('Username', 'sat_qa',
'Force', 0)
2004/09/03 13:19:47 1691 192.168.36.151:
package_push/package_push.handler('Mismatching md5sums',
'5994490bebb6c0053980363726ff2293', '8ee7281e8a787ce0ad7cbea3b39a04cd')


Version-Release number of selected component (if applicable):
3.5 sat beta

How reproducible:
Always

Steps to Reproduce:
1. login to the satellite machine (vmware1.rhndev.redhat.com) as root
with the standard password
2. in /root/mdm there is a directory with several mdm files downloaded
from dept.rhndev/solaris
3. cd /root/mdm
4. rhnpush -v -v -c non-linux --server vmware1.rhndev.redhat.com
SMCpine-4.10.sparc-solaris.mpm
  
Actual results:
see mismatch error above

Expected results:
see error description

Additional info:
rhn satellite installed on vmware1.rhndev.redhat.com -- login/password
for the RHN on that machine is sat_qa/password
Comment 1 Mihai Ibanescu 2004-09-07 14:50:02 EDT
Fixed in HEAD and backported to the 3.5 branch. Fix should be in
server-side 3.5.3 and rhnpush 3.5.3 packages.
Comment 2 Max Spevack 2004-12-07 16:03:52 EST
Fixed.

Note You need to log in before you can comment on or make changes to this bug.